summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-05-01 22:46:27 (GMT)
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-05-05 01:22:46 (GMT)
commit4f2a9dc537dc3767afc231d33a849d47b9fcf16d (patch)
tree1fc45e27280207c7b39163a0508b6a96c3da7e1f
parent56587c8dd9abf9943ad7f87d1eba14d0ea575ec1 (diff)
downloadslackbuilds-4f2a9dc537dc3767afc231d33a849d47b9fcf16d.tar.gz
slackbuilds-4f2a9dc537dc3767afc231d33a849d47b9fcf16d.tar.xz
office/MasterPDFEditor: Added (PDF Editor)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
-rw-r--r--office/MasterPDFEditor/MasterPDFEditor.SlackBuild88
-rw-r--r--office/MasterPDFEditor/MasterPDFEditor.desktop8
-rw-r--r--office/MasterPDFEditor/MasterPDFEditor.info10
-rw-r--r--office/MasterPDFEditor/README8
-rw-r--r--office/MasterPDFEditor/doinst.sh3
-rw-r--r--office/MasterPDFEditor/slack-desc19
6 files changed, 136 insertions, 0 deletions
diff --git a/office/MasterPDFEditor/MasterPDFEditor.SlackBuild b/office/MasterPDFEditor/MasterPDFEditor.SlackBuild
new file mode 100644
index 0000000..81f27c2
--- /dev/null
+++ b/office/MasterPDFEditor/MasterPDFEditor.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for MasterPDFEditor
+
+# Copyright 2014 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=MasterPDFEditor
+VERSION=${VERSION:-1.9.25}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+ SOURCEARCH="i386"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+ SOURCEARCH="i386"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ SOURCEARCH="x86_64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT $PKG/opt
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.$SOURCEARCH.tar.gz
+mv $PRGNAM $PKG/opt
+cd $PKG/opt/$PRGNAM
+
+mkdir -p $PKG/usr/bin
+( ln -s /opt/$PRGNAM/master-pdf-editor $PKG/usr/bin/master-pdf-editor )
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a License.txt changelog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/applications/
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/share/pixmaps
+( ln -s /opt/$PRGNAM/master-pdf-editor.png $PKG/usr/share/pixmaps/master-pdf-editor.png )
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/MasterPDFEditor/MasterPDFEditor.desktop b/office/MasterPDFEditor/MasterPDFEditor.desktop
new file mode 100644
index 0000000..924b280
--- /dev/null
+++ b/office/MasterPDFEditor/MasterPDFEditor.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=Master PDF Editor
+Comment=Edit Your PDF
+Exec=master-pdf-editor
+Icon=master-pdf-editor
+Terminal=false
+Type=Application
+Categories=Office;
diff --git a/office/MasterPDFEditor/MasterPDFEditor.info b/office/MasterPDFEditor/MasterPDFEditor.info
new file mode 100644
index 0000000..30af76b
--- /dev/null
+++ b/office/MasterPDFEditor/MasterPDFEditor.info
@@ -0,0 +1,10 @@
+PRGNAM="MasterPDFEditor"
+VERSION="1.9.25"
+HOMEPAGE="http://code-industry.net/"
+DOWNLOAD="http://code-industry.net/public/MasterPDFEditor-1.9.25.i386.tar.gz"
+MD5SUM="62a2a9a9356c4cac4e1e059e8bf291c3"
+DOWNLOAD_x86_64="http://code-industry.net/public/MasterPDFEditor-1.9.25.x86_64.tar.gz"
+MD5SUM_x86_64="4a8cc4bd311205a315b10a5c4e4dd093"
+REQUIRES=""
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackbuilds.org"
diff --git a/office/MasterPDFEditor/README b/office/MasterPDFEditor/README
new file mode 100644
index 0000000..e47ea8b
--- /dev/null
+++ b/office/MasterPDFEditor/README
@@ -0,0 +1,8 @@
+Master PDF Editor allows you to create, edit, preview, encrypt, sign
+and print XPS and interactive PDF documents.
+It's powerful editing features allow you to convert between PDF and
+XPS formats, add interactive controls such as buttons, text fields,
+check boxes, and event handlers to your documents, split and merge
+PDF files.
+
+The Linux-based version is free for non-commercial use.
diff --git a/office/MasterPDFEditor/doinst.sh b/office/MasterPDFEditor/doinst.sh
new file mode 100644
index 0000000..5fb2893
--- /dev/null
+++ b/office/MasterPDFEditor/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/office/MasterPDFEditor/slack-desc b/office/MasterPDFEditor/slack-desc
new file mode 100644
index 0000000..8b54c45
--- /dev/null
+++ b/office/MasterPDFEditor/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+MasterPDFEditor: MasterPDFEditor (PDF Editor)
+MasterPDFEditor:
+MasterPDFEditor: Master PDF Editor allows you to create, edit, preview, encrypt, sign
+MasterPDFEditor: and print XPS and interactive PDF documents.
+MasterPDFEditor: It's powerful editing features allow you to convert between PDF and
+MasterPDFEditor: XPS formats, add interactive controls such as buttons, text fields,
+MasterPDFEditor: check boxes, and event handlers to your documents, split and merge
+MasterPDFEditor: PDF files.
+MasterPDFEditor:
+MasterPDFEditor: Project URL: http://code-industry.net/
+MasterPDFEditor: